{% extends 'base.html' %}
{% load static %}

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">

{% block meta %}
<title>Mata Kuliah</title>
{% endblock meta %}

{% block content %}
<div class="content">
    <div class = "box">
        <p id="p">Halo! Silakan Tambahkan Mata Kuliah </p>
    </div>
</div>
<br><br>
<form action="/kuliah/kuliah/" method="POST">
    {% csrf_token %}
    <div class="row">
        <div class="col"></div>
        <div class="col">
            {{form.as_p}}
            <input type="submit">
            <a type="button" class="btn btn-outline-danger" href="readMatkul/" />Mata Kuliah</a>
        </div>
        <div class="col"></div>
    </div>
</form>
<br>
<table class="table table-striped table-bordered" style="width:100%">
    <thead>
        <tr>
            <th>#</th>			
            <th>Mata Kuliah</th>
            <th>Dosen Pengajar</th>
            <th>Jumlah Sks</th>
            <th>Deskripsi</th>
            <th>Aksi</th>
        </tr>
    </thead>
    <tbody>
            {% for kul in Kuliah %}
            <tr>
                <th scope="row">{{forloop.counter}}</th>				
                <td>{{ kul.mata_kuliah }}</td>
                <td>{{ kul.dosen_pengajar}}</td>
                <td>{{ kul.sks }}</td>
                <td>{{ kul.deskripsi}}</td>
                <td>
    <a type="button" class="btn btn-outline-danger" href="delete/{{kul.mata_kuliah}}" onclick="return confirm('Anda yakin mau menghapus data ini?');">Delete</a>
                </td>
            </tr>
            {% endfor %}
            {% if not Kuliah %}
                <tr>
                    <td colspan="6" class="cs-text-center cs-empty-table"> Tidak ada mata kuliah, silakan tambahkan! </td>
                </tr>
            {% endif %}
    </tbody>
</table>
{% endblock content %}